[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'gettext' (#fcl)

# TMOFile

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Class providing access to a .mo file.

## Declaration

Source position: gettext.pp line 54

`type TMOFile = class`
`public`
`constructor Create();` |  | Create a new instance of the TMOFile class.
`destructor Destroy; override;` |  | Removes the TMOFile instance from memory
`function Translate();` |  | Translate a string
`end;`

## Inheritance

`TMOFile` |  | Class providing access to a .mo file.
`TObject`

## Description

TMOFile is a class providing easy access to a .mo file. It can be used to translate any of the strings that reside in the .mo file. The internal structure of the .mo is completely hidden.